# app/schemas/invite.py
from datetime import datetime
from uuid import UUID

from pydantic import BaseModel, Field


class HouseInviteBase(BaseModel):
    pass


class HouseInviteCreate(HouseInviteBase):
    # Number of minutes until this invite expires (default: 60 minutes)
    expires_in_minutes: int = Field(default=60)


class HouseInvite(HouseInviteBase):
    id: UUID
    code: str
    house_id: UUID
    inviter_id: UUID
    created_at: datetime
    expires_at: datetime

    class Config:
        from_attributes = True
