import { dev } from '$app/environment';


if ('serviceWorker' in navigator) {
    navigator.serviceWorker.register('/service-worker.js');
}

/** @type {import('@sveltejs/kit').Handle} */
export async function handle({ event, resolve }) {
    // Add custom headers for security
    const response = await resolve(event);

    // Security headers
    if (!dev) {
        response.headers.set('X-Frame-Options', 'SAMEORIGIN');
        response.headers.set('X-Content-Type-Options', 'nosniff');
        response.headers.set('Referrer-Policy', 'strict-origin-when-cross-origin');
        response.headers.set('Permissions-Policy', 'camera=self');
    }

    return response;
}
